#
# spec file for package krusader (Version 2.0.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define jobs $(( `/usr/bin/getconf _NPROCESSORS_ONLN` + 1 ))

Name:           krusader
Version:        2.0.0
Release:        7.3
License:        GPL v2 or later
Group:          Productivity/File utilities
Url:            http://krusader.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
Patch:          FIXME.diff
Patch1:         krusader-gcc44.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dos2unix fdupes libkde4-devel update-desktop-files
Requires:       kio_iso = %{version}
Recommends:     %{name}-doc
Summary:        A File Manager
%kde4_runtime_requires

%description
An advanced twin panel (commander style) file manager for KDE.



Authors:
--------
    Shie Erlich <krusader@users.sourceforge.net>
    Rafi Yanai  <krusader@users.sourceforge.net>

%package -n kio_iso
License:        GPL v2 or later
Group:          System/GUI/KDE
Summary:        KIO slave to access ISO images
Provides:       kde4-kio_iso = 1.80.99
Obsoletes:      kde4-kio_iso <= 1.80.99

%description -n kio_iso
KIO slave to access ISO images like zip- or tar.gz-archives in your
file-browser.



Authors:
--------
    Szombathelyi Gygy <gyurco@users.sourceforge.net>

%package doc
License:        GPL v2 or later
Group:          Productivity/File utilities
Summary:        A File Manager

%description doc
An advanced twin panel (commander style) file manager for KDE.



Authors:
--------
    Shie Erlich <krusader@users.sourceforge.net>
    Rafi Yanai  <krusader@users.sourceforge.net>

%prep
%setup -q
%patch
%patch1
mv po/sr\@Latn.po po/sr\@latin.po
for file in doc/en/*.docbook;
do
	dos2unix $file
done

%build
%cmake_kde4 -d build
%make_jobs

%install
pushd build
%makeinstall
%kde_post_install
popd
%find_lang %{name}
%fdupes %{buildroot}

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog INSTALL TODO SVNNEWS
%{_bindir}/krusader
%exclude %{_datadir}/doc/kde/HTML/en/krusader
%{_kde_share_dir}/apps/krusader
%{_kde_share_dir}/services/krarc.protocol
%{_kde4_modules}/kio_krarc.so
%{_datadir}/applications/kde4/krusader*.desktop
%{_datadir}/icons/??color/*/apps/krusader*.png

%files -n kio_iso
%defattr(-,root,root)
%config %{_datadir}/kde4/config/kio_isorc
%{_kde4_modules}/kio_iso.so*
%{_kde_share_dir}/services/iso.protocol

%files doc
%defattr(-,root,root)
%doc %lang(en) %{_datadir}/doc/kde/HTML/en/krusader

%changelog
* Mon May 18 2009 tittiatcoke@gmail.com
- added patch to compile correctly with GCC 4.4
* Sat May  2 2009 dmueller@suse.de
- review/merge to openSUSE Factory
* Sat Apr 18 2009 bitshuffler #suse@irc.freenode.org
- Updated to 2.0.0
* Sat Mar 21 2009 beineri@opensuse.org
- added SVN trunk diff:
  * archive dialog now remembers compression level
  * changed default Alt+letter shortcuts, see details in SVNNEWS
  * initial Konfigurator size is now 900x680
  * view properties for detailed/brief/interviews are merged
  * several bugfixes
* Fri Mar  6 2009 wstephenson@suse.de
- make it compile vs Qt 4.5
* Sun Feb  1 2009 dmueller@suse.de
- rename sr@Latn to sr@latin1
* Mon Dec 29 2008 stbinner@suse.de
- update to 2.0.0 Beta 2 release:
  * Shortcuts: copy by queue (SHIFT+F5), move by queue (SHIFT+F6)
  * Krusader support for tar.lzma
* Tue Dec  2 2008 dmueller@suse.de
- add provides/obsoletes for kde4-kio_iso
* Sat Nov 22 2008 stbinner@suse.de
- update to SVN version (even more beta 2):
  * Possibility to choose one of five sorting methods
  * Compare by content for search / locate
  * New mouse selection mode
  * Evolution can be used as the default e-mail sender
  * Enqueue operation for copy / move
  * Upated translations for German, Dutch, Czech and Korean
* Mon Sep 22 2008 stbinner@suse.de
- update to SVN version (almost beta 2):
  * Manage Useractions: "Run in embedded terminal emulator"
  * Manage Useractions: added checkbox "enabled"
  * Root mode Krusader configuration, use eg. gksu instead of kdesu
* Mon Jul 21 2008 anschneider@suse.de
- Fix starting krusader in root-mode from tools menu.
* Wed Jul 16 2008 anschneider@suse.de
- updated to version 2.0.0 beta1:
  * Ported to KDE4 not using any of the Qt3 support libs
  * Experimental support for the Windows platform
  * Send emails with Thunderbird
  * Attach multiple files to emails
  * Submenus for categories in UserAction menu and context menu
  * Select encoding in content search and krarc
  * New synchronizer shortcuts
* Sat Mar 22 2008 stbinner@suse.de
- update to version 1.90.0:
  * addition of many (JavaScript) user actions, midnight commander
    keymap and new color schemes
  * dropped patches that have been merged upstream
* Thu Oct 25 2007 dmueller@suse.de
- fix build with gcc 4.3
* Sun Aug 19 2007 stbinner@suse.de
- fix build on 10.0
* Sun Jul 22 2007 stbinner@suse.de
- update to version 1.80.0:
  * Full support for ACL permissions like properties, preserve
    attributes, synchronizer and other
  * Many terminal emulator enhancements bringing new functions,
    new usages and new look
  * Many improvements of the UserAction system
  * Countless usability enhancements, especially in Konfigurator
    and the heavily reordered menubar
  * Comparing in the synchronizer interface and parallel threading
    over slower servers
  * Atomic extensions and ability to rename filename, w/o extension
  * Many archive enhancements like handling packing in background,
    encryption support, multiple volume archives, compress level
* Fri Jun  1 2007 coolo@suse.de
- move kde_post_install
* Fri Mar  9 2007 stbinner@suse.de
- fix build (new icon location check)
* Fri Feb  2 2007 stbinner@suse.de
- fix changes file not incremental
* Tue Jan  9 2007 stbinner@suse.de
- fix more comparison against string literal (#231711)
* Sat Dec  9 2006 dmueller@suse.de
- fix comparison against string literal (#226876)
* Fri Dec  1 2006 stbinner@suse.de
- fix crashes when viewing file properties (#223673)
* Fri Nov 24 2006 stbinner@suse.de
- fix "ISO9660 View" action in Konqueror's context menu (#223590)
* Wed Sep 27 2006 stbinner@suse.de
- update to 1.70.1
  * fixed sometimes passwords stored in cleartext in bookmarks.xml
  * fixed several memory access faults discovered with valgrind
  * added Turkish translatio
- split off kio_iso package
* Fri Sep  8 2006 stbinner@suse.de
- fix duplicate parameter (#177156)
* Wed Jun 21 2006 dmueller@suse.de
- fix build with gcc >= 4.2.0
* Tue Jun 20 2006 dmueller@suse.de
- build parallel
* Tue May 30 2006 adrian@suse.de
- fix build for < 10.1
* Tue Feb 14 2006 mrueckert@suse.de
- Update to 1.70.0 [#116456]
- removed all previous patches
- added krusader-1.70.0_compilerwarnings.patch
  fixes a few "non void functions without return statement"
  warnings
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Oct 30 2005 stbinner@suse.de
- update to version 1.60.1
* Wed May 25 2005 adrian@suse.de
- fix build for gcc 4
* Thu Apr 14 2005 adrian@suse.de
- update to version 1.60.0
* Thu Feb 17 2005 adrian@suse.de
- menu entry moved to xdg dir
* Fri Feb 11 2005 coolo@suse.de
- update to version 1.51 and replay history of the last 3 years
* Sun Aug 18 2002 adrian@suse.de
- update to version 1.1
  (hopefully fixes the reported random crashes for some users)
* Fri May 24 2002 coolo@suse.de
- update_admin
* Tue Apr 16 2002 adrian@suse.de
- update to 1.02 (official compile fix)
* Sat Apr 13 2002 adrian@suse.de
- update to 1.01 (KDE3 support)
- gcc 3 fixes
* Wed Jan  2 2002 adrian@suse.de
- update to final 1.00
* Wed Dec 19 2001 adrian@suse.de
- update to RC1
* Thu Dec  6 2001 adrian@suse.de
- update to version 0.99
* Tue Nov 13 2001 ro@suse.de
- fix for automake 1.5
* Fri Nov  9 2001 adrian@suse.de
- use kde2-devel-packages
* Mon Aug 13 2001 ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Aug 10 2001 adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 24 2001 adrian@suse.de
- New version 0.95.1
* Sun Jul 15 2001 @suse.de
- New version 0.93.1
* Thu Jun 28 2001 adrian@suse.de
- autoconf 2.50 fixes
* Mon Apr 30 2001 adrian@suse.de
- fix install pathes
* Mon Apr 30 2001 adrian@suse.de
- Spec file created from krusader-0.79.tar.bz2 by autospec
* Thu Apr 19 2001 ro@suse.de
- added openssl-devel to neededforbuild
* Tue Mar 27 2001 ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Mon Mar 19 2001 ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Sun Mar  4 2001 adrian@suse.de
- update to 0.79-1
* Thu Mar  1 2001 ro@suse.de
- added fam to neededforbuild
* Mon Jan  1 2001 adrian@suse.de
- update to 0.75-1
* Fri Dec  1 2000 kukuk@suse.de
- Remove duplicate entries
* Fri Dec  1 2000 kukuk@suse.de
- export KDEDIR
- Fix filelist
* Fri Nov 17 2000 ro@suse.de
- fixed neededforbuild: += libmng-devel
* Sat Nov 11 2000 adrian@suse.de
- initial package
